# Uses of Enum Class
org.bukkit.entity.Cat.Type

Packages that use Cat.Type
Package
Description
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of Cat.Type in org.bukkit.entity

Methods in org.bukkit.entity that return Cat.Type
Modifier and Type
Method
Description
`@NotNull Cat.Type`
Cat.`getCatType()`
Gets the current type of this cat.
`static Cat.Type`
Cat.Type.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Cat.Type[]`
Cat.Type.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.entity with parameters of type Cat.Type
Modifier and Type
Method
Description
`void`
Cat.`setCatType(@NotNull Cat.Type type)`
Sets the current type of this cat.